/* charts.css */

/* 设置页面的基础样式 */
body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-color: #f4f4f4;
}

header {
    background-color: #333;
    color: white;
    padding: 10px;
    text-align: center;
}

nav ul {
    list-style: none;
    padding: 0;
}

nav ul li {
    display: inline;
    margin-right: 10px;
}

nav ul li a {
    color: white;
    text-decoration: none;
}

#form-container {
    padding: 20px;
    background-color: white;
    margin: 20px;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

#form-container label {
    margin-right: 10px;
}

#form-container input,
#form-container select {
    margin-right: 20px;
}

#k-line-chart {
    width: 90%;
    height: 400px;
    /* margin-top: 20px;
    margin-left: 20px; */
    margin: auto;

}


#indicatorsresult.full-width {
    width: 100%;
    box-sizing: border-box;
    height: 500px;
    margin-top: 10px;
    margin-bottom: 10px;
}

#utilsresult.full-width {
    width: 100%;
    box-sizing: border-box;
    height: 500px;
    margin-top: 10px;
    margin-bottom: 10px;
}
#candlestickpatternsresult{
    width: 100%;
    box-sizing: border-box;
    height: 500px;
    margin-top: 10px;
    margin-bottom: 10px;
}

#base-on-technical-indicators {
    border-width: 2px;
    /* border-style: dotted; */
    /* border-color: blue; */
    padding: 10px;
    margin: 0 auto;
    width: 90%;

}
#indicators-analyze-btn{
    margin-top: 10px;
    margin-bottom: 10px;
}